PAM (from D-Bus/HAL discussion)

Jürg Billeter j at bitron.ch
Sat Apr 8 00:34:12 PDT 2006


On Fre, 2006-04-07 at 21:26 +0100, Andrew Benton wrote:
> Randy McMurchy wrote:
> > Not sure what do about this HAL/D-Bus thing. Best I can tell GNOME
> > 2.14.0 wants the bleeding edge HAL/D-Bus. Gnome-VFS wants HAL-0.5.7.
> 
> It's only an optional dependency. Gnome-VFS and Gnome-2.14 works fine 
> without HAL or D-Bus. I plug in some flash memory and it automatically 
> mounts it as /dev/sda1 on /mnt/mp3. Some problem with HAL or D-Bus is no 
> reason not to use Gnome-2.14. It's just FUD to make out that Gnome 
> requires HAL or D-Bus

Well, gnome-volume-manager is part of the official Gnome Desktop and
gnome-volume-manager requires HAL, so I wouldn't call it FUD that Gnome
requires HAL. Of course you can install a Gnome-based Desktop without
HAL but you're leaving out at least gnome-volume-manager, then.

Now two questions regarding your installation to set the record straight
- Is HAL not installed on your system at all or did you just build
Gnome-VFS without HAL support?
- Have you installed gnome-volume-manager or any other automounter
(ivman, autofs,....)?

Jürg




More information about the blfs-dev mailing list